{-# LANGUAGE TemplateHaskell #-}
module Handler.Entries where

import Import

import qualified Entry.Kind as K
import Widget.Feed ( hFeed )

getEntriesR :: K.EntryKind -> Handler Html
getEntriesR kind = do
    entries <- runDB $ selectList [EntryKind ==. kind] [Desc EntryPublished]
    defaultLayout $(widgetFile "entries")
